apiVersion: service.aep.asag.io/v1
kind: Definition
metadata:
  name: keycloak-0.0.0-9c615efa
  namespace: asag
spec:
  clusters:
    - flags:
        - from: value
          key: v1_role
          to: label
          value: keycloak
        - from: value
          key: delay_final_config
          to: annotation
          value: true
      name: keycloak
      nodes:
        flags: []
        settings: []
      podspec:
        containers:
          - image: aep/base_jammy
            name: keycloak
      provides:
        - exposed: true
          filter: []
          name: keycloak
          network: loadbalanced
          servicespec:
            ports:
              - name: http
                port: 80
                protocol: TCP
              - name: https
                port: 443
                protocol: TCP
                targetPort: 8443
              - name: infinispan
                port: 7800
                protocol: TCP
        - exposed: false
          filter: []
          name: keycloak-ping
          network: direct
      sizing:
        increment: 1
        initial: 2
        maximum: 10
        minimum: 1
        setup: {}
      topologyqueries: []
  dependencies:
    operator:
      name: keycloak-operator
      vendor: asag
      version: 0.0.0-9c615efa
  includes:
    - name: defaults-service
      vendor: asag
      version: 0.3.1
  name: keycloak
  settings:
    - name: environment
      schema:
        default: 2939_s6_vm
  version: 0.0.0-9c615efa
